gfx_mode_select_filter(3)

NAME
gfx_mode_select_filter

SYNOPSIS
#include <allegro.h>

int gfx_mode_select_filter(int *card, int *w, int *h, int *color_depth, int (*filter)(int, int, int, int));

DESCRIPTION
Even more extended version of the graphics mode selection dialog, which allows the programmer to customize the contents of the dialog and the user to select the color depth as well as the resolution and hardware driver. `filter' will be passed (card, w, h, color_depth) quadruplets and must return 0 to let the specified quadruplet be added to the list of displayed modes. This version of the function reads the initial values from the parameters when it activates, so you can specify the default values.

SEE ALSO
gfx_mode_select(3), gfx_mode_select_ex(3), set_color_depth(3), set_gfx_mode(3), gui_fg_color(3)